<?xml version="1.0" encoding="UTF-8"?>
<MultiCameraDefaultStateConfig>
    <scene name = "CAMERA_HW_SM_INVALID">
        <state>
            <camera name = "wide" prev = "true"/>
        </state>
    </scene>

<!--capture, default-->
<scene name = "CAMERA_HW_SM_NORMAL_CAPTURE">
    <enableSitMcx>1</enableSitMcx>
    <satGuard>
        <camera name = "wide"/>
        <camera name = "tele"/>
        <camera name = "ultra_wide"/>
    </satGuard>
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
</scene>

<scene name = "CAMERA_HW_SM_BURST">
    <link name = "CAMERA_HW_SM_NORMAL_CAPTURE"/>
</scene>

<!--high res-->
<scene name = "CAMERA_HW_SM_ULTRA_HIGH_RES">
    <satGuard>
        <camera name = "wide"/>
        <camera name = "tele"/>
        <camera name = "ultra_wide"/>
    </satGuard>
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
</scene>

<!--bokeh-->
<scene name = "CAMERA_HW_SM_APERTURE">
    <enableSyncMode>1</enableSyncMode>
    <satGuard>
        <camera name = "wide"/>
        <camera name = "ultra_wide"/>
    </satGuard>
    <state>
        <camera name = "wide" prev = "true"/>
        <camera name = "ultra_wide"/>
    </state>
</scene>

<scene name = "CAMERA_HW_SM_PORTRAIT">
    <enableSyncMode>1</enableSyncMode>
    <satGuard>
        <camera name = "wide"/>
        <camera name = "ultra_wide"/>
    </satGuard>
    <link name = "CAMERA_HW_SM_APERTURE"/>
</scene>

<!--video-->
<scene name = "CAMERA_HW_SM_NORMAL_VIDEO">
    <satGuard>
        <camera name = "wide"/>
        <camera name = "tele"/>
        <camera name = "ultra_wide"/>
    </satGuard>
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
</scene>

<!--professional-->
<scene name = "CAMERA_HW_SM_PROFESSIONAL">
   <satGuard>
        <camera name = "wide"/>
        <camera name = "tele"/>
        <camera name = "ultra_wide"/>
    </satGuard>
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
</scene>

<scene name = "CAMERA_HW_SM_NIGHT_SHOT">
    <link name = "CAMERA_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "CAMERA_HW_SM_WATER_MARK">
    <link name = "CAMERA_HW_SM_PROFESSIONAL"/>
</scene>

<scene name = "CAMERA_HW_SM_DOCUMENT_SCAN">
    <link name = "CAMERA_HW_SM_PROFESSIONAL"/>
</scene>

<!--main not suport switch sensor-->
<scene name = "CAMERA_HW_SM_PANORAMA">
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
</scene>

<scene name = "CAMERA_HW_SM_MONO_APERTURE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_MONO_PORTRAIT">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_3D_PANORAMA">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_3D_MODEL">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_PAINTER">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_INTEREST_DRESS_UP">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AI_IDENTIFY">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AR_3D_THING">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AR_STAR_PICTURE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AR_KATOON">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SLOW_MO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AR_GESTURE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_MONO_CAPTURE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_LIGHT_PAINTING_CAR">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_LIGHT_PAINTING_STAR">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_LIGHT_PAINTING_WATER">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_LIGHT_PAINTING_LIGHT">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AUDIO_NOTE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_FILTER">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_GOOD_FOOD">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_MOVING_PICTURE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_MONO_PROFESSIONAL">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_ANIMOJI">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AR_3D_ANIMOJI">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_BACKGROUND">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SUPER_CAMERA_DEFAULT">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SUPER_CAMERA_NIGHT">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SUPER_CAMERA_BACKLIGHTING">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SUPER_CAMERA_WATER">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SUPER_CAMERA_PORTRAIT">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_4K_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_HIGH_FPS_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_DUAL_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_MAGIC_SKY">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_4K_AI_ULTRA_CLARITY">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_AI_MOVIE_APERTURE_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SMART_TRACKING">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_STORY_MODE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SUPER_EIS_VID">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_MOVIE_MODE_VIDEO">
    <hwStandbySupport>
        <camera name = "tele"/>
        <camera name = "ultra_wide"/>
    </hwStandbySupport>
    <state>
        <camera name = "wide" prev = "true"/>
    </state>
</scene>

<scene name = "CAMERA_HW_SM_SINGLE_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_4K_10BIT_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_THIRD_CAM">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_60FPS_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_PROFESSIONAL_PLUS">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_BEAUTY">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_APERTURE_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_BEAUTY_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_PROFESSIONAL_VIDEO">
    <link name = "CAMERA_HW_SM_NORMAL_VIDEO"/>
</scene>

<scene name = "CAMERA_HW_SM_TIMELAPSE">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_FILTER_VIDEO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_SUPER_MACRO">
    <link name = "CAMERA_HW_SM_PANORAMA"/>
</scene>

<scene name = "CAMERA_HW_SM_TRACK_VIDEO">
    <link name = "CAMERA_HW_SM_NORMAL_VIDEO"/>
</scene>

</MultiCameraDefaultStateConfig>